# VeraPDF RPM package

This is a platform-independent way to build an RPM package for installing veraPDF on RHEL 7.

## Handling the Container

### Build

This will create a container to download the veraPDF installer, extract it, install veraPDF in the container, take all necessary files from there and pack them up in an RPM package.

```
sudo docker-compose up --build
```

### Inspect

If you want to take a look into the container, use:
```
docker run -it redhat7_verapdf bash
```

### Get Package

To copy the package out of the container and onto your local machine, use:
```
sudo docker cp <CONTAINER-ID>:/home/builder/rpmbuild/RPMS/x86_64/verapdf-1.16.1-1.el7.x86_64.rpm ./build
```

## Files

### verapdf.spec

The verapdf.spec file controls all steps of the actual RPM package creation.

### auto-install.xml

The auto-install.xml file is created by the veraPDF installer to capture the decisions you make in the interactive installer. It can then be used for unattended installations. In this particular case, it contains a dummy installation path that is patched in the verapdf.spec file to match the actual desired install path.
